Package wx :: Class VideoMode

[frames | no frames]

## Type VideoMode

    object --+
             |
            VideoMode

A simple struct containing video mode parameters for a display

Method Summary
VideoMode | ``__init__`(self, width, height, depth, freq)` A simple struct containing video mode parameters for a display
| `__del__(self)`
bool | `__eq__(self, other)`
bool | `__ne__(self, other)`
| `__nonzero__(self)`
int | ``GetDepth`(self)` Returns the screen's bits per pixel (e.g.
int | ``GetHeight`(self)` Returns the screen height in pixels (e.g.
int | ``GetWidth`(self)` Returns the screen width in pixels (e.g.
bool | ``IsOk`(self)` returns true if the object has been initialized
bool | ``Matches`(self, other)` Returns True if this mode matches the other one in the sense that all non-zero fields of the other mode have the same value in this one (except for refresh which is allowed to have a greater value)

Property Summary
| `bpp`
| `Depth`: See `GetDepth`
| `h`
| `Height`: See `GetHeight`
| `refresh`
| `thisown`: The membership flag
| `w`
| `Width`: See `GetWidth`

Method Details

### __init__(self, width=0, height=0, depth=0, freq=0)
(Constructor)

A simple struct containing video mode parameters for a display

  Parameters:
    `width`
    (type=int)

    `height`
    (type=int)

    `depth`
    (type=int)

    `freq`
    (type=int)

  Returns:
    VideoMode
  Overrides:
    `__builtin__.object.__init__`

### GetDepth(self)

Returns the screen's bits per pixel (e.g. 32), 1 is monochrome and 0 means unspecified/known

  Returns:
    int

### GetHeight(self)

Returns the screen height in pixels (e.g. 640*480), 0 means unspecified

  Returns:
    int

### GetWidth(self)

Returns the screen width in pixels (e.g. 640*480), 0 means unspecified

  Returns:
    int

### IsOk(self)

returns true if the object has been initialized

  Returns:
    bool

### Matches(self, other)

Returns True if this mode matches the other one in the sense that all non-zero fields of the other mode have the same value in this one (except for refresh which is allowed to have a greater value)

  Parameters:
    `other`
    (type=VideoMode)

  Returns:
    bool

Property Details

### Depth

See `GetDepth`

  Get Method:
    `GetDepth`(self)

### Height

See `GetHeight`

  Get Method:
    `GetHeight`(self)

### thisown

The membership flag

### Width

See `GetWidth`

  Get Method:
    `GetWidth`(self)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:52 2007 | http://epydoc.sf.net